package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.ChannelGoodsSettleOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.channel.domain.vo.ChannelSettleVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2023-06-08 18:20:12
 * @describe 经销商商品结算订单mapper类
 */
public interface ChannelGoodsSettleOrderMapper extends BaseMapper<ChannelGoodsSettleOrder> {

    List<ChannelSettleVO> listGoodsSettleOrder(@Param(Constants.WRAPPER) QueryWrapper<ChannelGoodsSettleOrder> channelGoodsSettleOrderQueryWrapper);
}
